POST Agents/Project/SaveProjectEventEntity
Some tooltip text!
• 9 minutes to read
• 9 minutes to read
POST /api/v1/Agents/Project/SaveProjectEventEntity
Updates the existing ProjectEventEntity or creates a new ProjectEventEntity if the id parameter is 0.
NsApiSlow threshold: 2000 ms.
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: projectEventEntity
The ProjectEventEntity that is saved
| Property Name | Type | Description |
|---|---|---|
| SignOffConfirmationText | String | Text shown as confirmation text before accepting sign off. |
| SignOffText | String | Default text for the activity created when signing off. |
| SignOnConfirmationText | String | Text shown as confirmation text before accepting sign on. |
| SignOnText | String | Default text for the activity created when signing on. |
| EventDate | String | Dateof the event; publishing/visibility dates are in Publish, and restrictions are in AudienceVisibility |
| Enabled | Boolean | Is the event enabled |
| CreatedDate | String | Registered when in UTC. |
| SignOff | Boolean | Is Sign Off functionality enabled? |
| SignOffTaskEnable | Boolean | If not 0, a task should be created when the external user Signs Off an event |
| SignOffTaskId | Integer | If not 0, sign off should cause an Activity of this type to be registered |
| SignOffTriggersAssign | Boolean | If 1, the SignOff task should be created as an Assigned task, triggering the invitation dialog |
| SignOn | Boolean | Is Sign On functionality enabled |
| SignOnTaskEnable | Boolean | If not 0, a task should be created when the external user Signs On to an event |
| SignOnTaskId | Integer | If not 0, sign on should cause an Activity of this type to be registered |
| SignOnTriggersAssign | Boolean | If 1, the SignOn task should be created as an Assigned task, triggering the invitation dialog |
| UpdatedDate | String | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the projectevent |
| UpdatedBy | Associate | The person that last updated the projectevent |
| ProjectId | Integer | The projectId for the project this projectEvent belongs to |
| Id | Integer | Id of the external event |
| PublishFrom | String | Publication valid from (inclusive) |
| PublishType | String | Type of publishing action, 0 = Unknown, 1 = to external persons |
| PublishTo | String | Publication valid to (inclusive) |
| VisibleForCategories | Array | Array of categories that the event is visible for. MDO Table "category". |
| VisibleForPersonInterests | Array | Array of person interests (MDO table "persint") that this event is visible for. |
| IsPublished | Boolean | Publish to external users? When true, the event/project information is visible to external users through the Audience portal. You can control the publish duration using the PublishFrom/PublishTo properties. |
| IsVisibleForMembers | Boolean | |
| IsVisibleForCategories | Boolean | |
| IsVisibleForPersonInterests | Boolean | |
| ProjectEventId | Integer | Primary key |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ProjectEventEntity
| Property Name | Type | Description |
|---|---|---|
| SignOffConfirmationText | string | Text shown as confirmation text before accepting sign off. |
| SignOffText | string | Default text for the activity created when signing off. |
| SignOnConfirmationText | string | Text shown as confirmation text before accepting sign on. |
| SignOnText | string | Default text for the activity created when signing on. |
| EventDate | date-time | Dateof the event; publishing/visibility dates are in Publish, and restrictions are in AudienceVisibility |
| Enabled | bool | Is the event enabled |
| CreatedDate | date-time | Registered when in UTC. |
| SignOff | bool | Is Sign Off functionality enabled? |
| SignOffTaskEnable | bool | If not 0, a task should be created when the external user Signs Off an event |
| SignOffTaskId | int32 | If not 0, sign off should cause an Activity of this type to be registered |
| SignOffTriggersAssign | bool | If 1, the SignOff task should be created as an Assigned task, triggering the invitation dialog |
| SignOn | bool | Is Sign On functionality enabled |
| SignOnTaskEnable | bool | If not 0, a task should be created when the external user Signs On to an event |
| SignOnTaskId | int32 | If not 0, sign on should cause an Activity of this type to be registered |
| SignOnTriggersAssign | bool | If 1, the SignOn task should be created as an Assigned task, triggering the invitation dialog |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the projectevent |
| UpdatedBy | Associate | The person that last updated the projectevent |
| ProjectId | int32 | The projectId for the project this projectEvent belongs to |
| Id | int32 | Id of the external event |
| PublishFrom | date-time | Publication valid from (inclusive) |
| PublishType | string | Type of publishing action, 0 = Unknown, 1 = to external persons |
| PublishTo | date-time | Publication valid to (inclusive) |
| VisibleForCategories | array | Array of categories that the event is visible for. MDO Table "category". |
| VisibleForPersonInterests | array | Array of person interests (MDO table "persint") that this event is visible for. |
| IsPublished | bool | Publish to external users? When true, the event/project information is visible to external users through the Audience portal. You can control the publish duration using the PublishFrom/PublishTo properties. |
| IsVisibleForMembers | bool | |
| IsVisibleForCategories | bool | |
| IsVisibleForPersonInterests | bool | |
| ProjectEventId | int32 | Primary key |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Project/SaveProjectEventEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"SignOffConfirmationText": "fugit",
"SignOffText": "libero",
"SignOnConfirmationText": "sapiente",
"SignOnText": "est",
"EventDate": "2012-06-01T10:11:00.8227888+02:00",
"Enabled": true,
"CreatedDate": "2013-09-07T10:11:00.8227888+02:00",
"SignOff": true,
"SignOffTaskEnable": false,
"SignOffTaskId": 597,
"SignOffTriggersAssign": true,
"SignOn": false,
"SignOnTaskEnable": true,
"SignOnTaskId": 80,
"SignOnTriggersAssign": false,
"UpdatedDate": "2022-10-25T10:11:00.8227888+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"ProjectId": 790,
"Id": 55,
"PublishFrom": "2011-09-07T10:11:00.8237879+02:00",
"PublishType": "External",
"PublishTo": "2019-08-18T10:11:00.8237879+02:00",
"VisibleForCategories": [
{
"Id": 603,
"Name": "Bogisich, Wuckert and Dare",
"ToolTip": "Et aperiam eum quas alias sed culpa.",
"Deleted": false,
"Rank": 643,
"Type": "ut",
"ChildItems": [
{},
{}
],
"IconHint": "sed",
"ColorBlock": 738,
"ExtraInfo": "provident",
"StyleHint": "qui",
"FullName": "Hertha Donnelly"
}
],
"VisibleForPersonInterests": [
{
"Id": 640,
"Name": "Lebsack-Mante",
"ToolTip": "Impedit officiis quia neque optio.",
"Deleted": false,
"Rank": 919,
"Type": "molestias",
"ChildItems": [
{},
{}
],
"IconHint": "reiciendis",
"ColorBlock": 752,
"ExtraInfo": "culpa",
"StyleHint": "hic",
"FullName": "Prof. Spencer Antonietta Vandervort II"
}
],
"IsPublished": true,
"IsVisibleForMembers": false,
"IsVisibleForCategories": true,
"IsVisibleForPersonInterests": false,
"ProjectEventId": 66
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"SignOffConfirmationText": "ipsam",
"SignOffText": "odio",
"SignOnConfirmationText": "in",
"SignOnText": "qui",
"EventDate": "2006-05-26T10:11:00.8267875+02:00",
"Enabled": false,
"CreatedDate": "2017-10-11T10:11:00.8267875+02:00",
"SignOff": true,
"SignOffTaskEnable": false,
"SignOffTaskId": 390,
"SignOffTriggersAssign": false,
"SignOn": false,
"SignOnTaskEnable": false,
"SignOnTaskId": 327,
"SignOnTriggersAssign": false,
"UpdatedDate": "2021-09-02T10:11:00.8267875+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"ProjectId": 238,
"Id": 605,
"PublishFrom": "2005-08-02T10:11:00.8277882+02:00",
"PublishType": "External",
"PublishTo": "1999-08-18T10:11:00.8277882+02:00",
"VisibleForCategories": [
{
"Id": 517,
"Name": "Emard, Adams and Ryan",
"ToolTip": "Aliquid et qui sequi numquam voluptas praesentium.",
"Deleted": true,
"Rank": 181,
"Type": "sapiente",
"ChildItems": [
{},
{}
],
"IconHint": "minus",
"ColorBlock": 873,
"ExtraInfo": "id",
"StyleHint": "molestias",
"FullName": "Berniece D'Amore Jr.",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 816
}
}
}
],
"VisibleForPersonInterests": [
{
"Id": 621,
"Name": "Dare, Little and Runolfsson",
"ToolTip": "Blanditiis enim vel nam cum.",
"Deleted": false,
"Rank": 728,
"Type": "accusamus",
"ChildItems": [
{},
{}
],
"IconHint": "animi",
"ColorBlock": 719,
"ExtraInfo": "ea",
"StyleHint": "est",
"FullName": "Mrs. Jacky Beer IV",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 161
}
}
}
],
"IsPublished": false,
"IsVisibleForMembers": false,
"IsVisibleForCategories": false,
"IsVisibleForPersonInterests": false,
"ProjectEventId": 954,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 53
}
}
}